
if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
    set(CPACK_DEBIAN_ARCHITECTURE "amd64")
else()
    set(CPACK_DEBIAN_ARCHITECTURE "i386")
endif()

include(InstallRequiredSystemLibraries)

set(CPACK_SET_DESTDIR "on")
set(CPACK_PACKAGING_INSTALL_PREFIX "/usr/local")

set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE")
set(CPACK_DEBIAN_PACKAGE_LICENSE "gpl")

set(CPACK_PACKAGE_DESCRIPTION "Dynamic Movement Primitives")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Library for calculating Dynamic Movement Primitives")
set(CPACK_PACKAGE_VENDOR "KIT")
set(CPACK_PACKAGE_CONTACT "Mirko Wächter <waechter@kit.edu>")

set(CPACK_GENERATOR "DEB")
set(CPACK_DEBIAN_PACKAGE_NAME "lib${PROJECT_NAME}-dev")
#set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)


set(CPACK_PACKAGE_VERSION_MAJOR "${MPLIB_MAJOR_VERSION}")
set(CPACK_PACKAGE_VERSION_MINOR "${MPLIB_MINOR_VERSION}")
set(CPACK_PACKAGE_VERSION_PATCH "${MPLIB_PATCH_VERSION}")


set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}_${MPLIB_VERSION}_${CPACK_DEBIAN_ARCHITECTURE}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}_${MPLIB_VERSION}")


#get_property(result GLOBAL ENABLED_FEATURES)
#message(" enabled features: ${result}")

set(CPACK_COMPONENT_APPLICATIONS_DISPLAY_NAME "${PROJECT_NAME} applications")
set(CPACK_COMPONENT_APPLICATIONDATA_DISPLAY_NAME "${PROJECT_NAME} Data")
set(CPACK_COMPONENT_LIBRARIES_DISPLAY_NAME "${PROJECT_NAME} Libraries")
set(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "${PROJECT_NAME} C++ Headers")

set(CPACK_COMPONENTS_ALL Applications Headers Libraries ApplicationData)

include(CPack)
